package com.bocloud.cmp.model;

/**
 * OpenStack负载均衡虚拟IP地址(Vip)业务类
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年8月28日
 */
public class VipModel {
    private String vipUuid;// vip ID
    private String name;// 虚拟IP名称
    private String address;// IP地址
    private boolean adminStateUp;// 网络管理状态
    private Integer connLimit;// 连接限制
    private String remark;// 描述
    private String poolUuid;// 虚拟IP池ID
    private String protocol;// 网络协议
    private Integer port;// 端口
    private String cookieName;// cookie名称
    private String sessPersisType;// 会话持久化类型
    private String status;// 状态
    private String subnetUuid;// 子网ID
    private String tenantUuid;// 租户ID

    /**
     *
     */
    public VipModel() {
        super();
    }

    /**
     * @param vipUuid
     * @param name
     * @param address
     * @param adminStateUp
     * @param connLimit
     * @param remark
     * @param poolUuid
     * @param protocol
     * @param port
     * @param cookieName
     * @param sessPersisType
     * @param status
     * @param subnetUuid
     * @param tenantUuid
     */
    public VipModel(String vipUuid, String name, String address, boolean adminStateUp, Integer connLimit, String remark,
                    String poolUuid, String protocol, Integer port, String cookieName, String sessPersisType, String status,
                    String subnetUuid, String tenantUuid) {
        super();
        this.vipUuid = vipUuid;
        this.name = name;
        this.address = address;
        this.adminStateUp = adminStateUp;
        this.connLimit = connLimit;
        this.remark = remark;
        this.poolUuid = poolUuid;
        this.protocol = protocol;
        this.port = port;
        this.cookieName = cookieName;
        this.sessPersisType = sessPersisType;
        this.status = status;
        this.subnetUuid = subnetUuid;
        this.tenantUuid = tenantUuid;
    }

    /**
     * @return the vipUuid
     */
    public String getVipUuid() {
        return vipUuid;
    }

    /**
     * @param vipUuid the vipUuid to set
     */
    public void setVipUuid(String vipUuid) {
        this.vipUuid = vipUuid;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * @return the adminStateUp
     */
    public boolean isAdminStateUp() {
        return adminStateUp;
    }

    /**
     * @param adminStateUp the adminStateUp to set
     */
    public void setAdminStateUp(boolean adminStateUp) {
        this.adminStateUp = adminStateUp;
    }

    /**
     * @return the connLimit
     */
    public Integer getConnLimit() {
        return connLimit;
    }

    /**
     * @param connLimit the connLimit to set
     */
    public void setConnLimit(Integer connLimit) {
        this.connLimit = connLimit;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the poolUuid
     */
    public String getPoolUuid() {
        return poolUuid;
    }

    /**
     * @param poolUuid the poolUuid to set
     */
    public void setPoolUuid(String poolUuid) {
        this.poolUuid = poolUuid;
    }

    /**
     * @return the protocol
     */
    public String getProtocol() {
        return protocol;
    }

    /**
     * @param protocol the protocol to set
     */
    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    /**
     * @return the port
     */
    public Integer getPort() {
        return port;
    }

    /**
     * @param port the port to set
     */
    public void setPort(Integer port) {
        this.port = port;
    }

    /**
     * @return the cookieName
     */
    public String getCookieName() {
        return cookieName;
    }

    /**
     * @param cookieName the cookieName to set
     */
    public void setCookieName(String cookieName) {
        this.cookieName = cookieName;
    }

    /**
     * @return the sessPersisType
     */
    public String getSessPersisType() {
        return sessPersisType;
    }

    /**
     * @param sessPersisType the sessPersisType to set
     */
    public void setSessPersisType(String sessPersisType) {
        this.sessPersisType = sessPersisType;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the subnetUuid
     */
    public String getSubnetUuid() {
        return subnetUuid;
    }

    /**
     * @param subnetUuid the subnetUuid to set
     */
    public void setSubnetUuid(String subnetUuid) {
        this.subnetUuid = subnetUuid;
    }

    /**
     * @return the tenantUuid
     */
    public String getTenantUuid() {
        return tenantUuid;
    }

    /**
     * @param tenantUuid the tenantUuid to set
     */
    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }
}
